/* You can add global styles to this file, and also import other style files */
@import "~bulma/bulma.sass"

@font-face
    font-family: 'DK-Crayon-Crumble'
    src: url("assets/fonts/DK_Crayon_Ocean.ttf") format("truetype")

@font-face
    font-family: 'Right-Chalk'
    src: url("assets/fonts/Right-Chalk.ttf") format("truetype")
@font-face
  font-family: 'Chilanka-font'
  src: url('assets/fonts/Chilanka-Regular.ttf') format("truetype")

body
  background: linear-gradient(white, #FEFEF5, #f5f5dc)
*
  outline: none

.is-crayon-crumble
  font-family: 'DK-Crayon-Crumble'

.unselectable
  -moz-user-select: none
  -webkit-user-select: none
  -ms-user-select: none
  user-select: none

.default-style
  box-sizing: border-box
  border-radius: 50px
  width: 15rem
  height: 3rem
  font-size: 1.2em
  text-align: center
  cursor: pointer
  font-family: Chilanka-font



.button-size-desktop
  width: 15rem
  height: 3rem
.button-size-mobile
  width: 8rem
  height: 2rem

.has-text-white
  color: white
.has-text-black
  color: black
.has-margin-bottom-4
  margin-bottom: 4vh
.has-margin-top-5
  margin-top: 5vh
.has-margin-top-1
  margin-top: 1vh
.has-margin-top-2
  margin-top: 2vh
.has-margin-top-3
  margin-top: 3vh
.has-margin-top-10
  margin-top: 10vh
.has-margin-bottom-1
  margin-bottom: 1vh
.has-margin-bottom-2
  margin-bottom: 2vh
.has-margin-left-1
  margin-left: 1vw
.has-margin-left-2
  margin-left: 2vw
.has-margin-right-1
    margin-right: 1vw
.has-margin-left-4
  margin-left: 4vw
.has-margin-right-4
    margin-right: 4vw
.has-margin-right-2
    margin-right: 2vw
.is-space-between
  justify-content: space-between
.is-space-around
  justify-content: space-around
.is-justify-center
  justify-content: center
.is-column
  flex-direction: column
.is-align-center
  align-items: center
.flex-grow-4
  flex-grow: 4

.is-back-button
    background-color: #7B2816
    border-color: #7B2816
    color: white
    margin-bottom: 1vh
    margin-top: 3vh
    margin-left: 1vw
.submit-style, .submit-style:hover, .submit-style:focus
  background-color:  #E0CDA3
  color: #008071
  border-color: #E0CDA3

.failure-style, .failure-style:hover, .failure-style:focus
  background-color: #FF2F2B
  border-color: #FF2F2B
  color: white
.inputStyle
  text-align: center
  border: 1px solid #FFFFFF
  background-color: transparent
  color: white
  white-space: nowrap
  overflow: hidden
  text-overflow: ellipsis
  padding-left: 1vw
  padding-right: 1vw
  font-family: chilanka
  font-size: 1.2em
  border-radius: 50px

.size-input-desktop
  width: 24rem
  height: 3.5rem
.size-input-mobile
  width: 15rem
  height: 2rem

p, span, input, button, a
  font-family: Chilanka-font

.modal-background
    background: transparent

.is-a-bloc
  // margin: 0 auto
  display: flex
  justify-content: center
  align-items: center
  background-color: #008071
  border: 15px solid #E0CDA3
  width: 312px
  height: 106px
  // box-sizing: border-box
  // text-align: center
  box-shadow: -2px 2px 10px 1px rgb(41, 47, 51, 0.7)

.is-a-bloc-mobile
  // margin: 0 auto
  background-color: #008071
  border: 11px solid #E0CDA3
  width: 247px
  height: 80px
  display: flex
  justify-content: center
  align-items: center
  // box-sizing: bord.er-box
  // text-align: center
  box-shadow: -2px 2px 10px 1px rgb(41, 47, 51, 0.7)

#first
  margin-top: 20px

.is-title
  font-family: DK-Crayon-Crumble
  font-size: 28px
  line-height: 31px
  color: white
  padding: 20px

// .is-title-mobile
//   font-family: DK-Crayon-Crumble
//   font-size: 15px
//   line-height: 31px
//   color: white


// Make the position of the component relative
.position-relative
  position: relative

input.inputSize-desktop::placeholder, input.size-input-desktop::placeholder
    color: rgba(255, 255, 255, 0.57)
    font-family: Chilanka-font

input.inputSize-mobile::placeholder, input.size-input-mobile::placeholder
    color: rgba(255, 255, 255, 0.57)
    font-family: Chilanka-font

.background
  // margin-left: 15vw
  // margin-right: 15vw
  // width: 60rem
  text-align: center
  background-color: #008071
  border: 15px solid #E0CDA3
  margin-bottom: 5vh
  box-shadow: -2px 2px 10px 1px rgb(41, 47, 51, 0.7)

.is-modal-paragraph
  font-size: 1.5em
  color: white
  font-family: Chilanka-font
  text-align: center

h2#titleModal
  font-size: 7vh
  color: white
  font-family: 'DK-Crayon-Crumble'
  margin-bottom: 3vh

img#IconModal
  margin-top: 5vh
  margin-bottom: 3vh

.panel-block
    cursor: pointer
.is-name
    width: 50%
    text-align: center
.has-cursor-pointer
  cursor: pointer
.imageSize-desktop
    width: 6rem
    height: 6rem
.imageSize-mobile
    width: 3rem
    height: 3rem
.modal-card-title
    text-align: center
    color: white
    font-size: 2rem
    font-family: 'DK-Crayon-Crumble'
.modal-card-head
    background-color: #008071
    border-left: 15px solid #E0CDA3
    border-right: 15px solid #E0CDA3
    border-top: 15px solid #E0CDA3
    border-bottom: none
.modal-card-body
    justify-content: center
    align-items: center
    background-color: #008071
    border-left: 15px solid #E0CDA3
    border-right: 15px solid #E0CDA3
    border-bottom: 15px solid #E0CDA3
.is-remember-me
    vertical-align: middle

.is-link, .is-link:hover
    color: white
    border-bottom: 1px solid white
    background-color: transparent
.fontSize
    font-size: 0.75em
.content
    display: block

.buttonStyle
    border: none
    background-color: transparent